Gmagick::scaleimage
Gmagick::setfilename
Gmagick
PHP Manual

# Gmagick::separateimagechannel

(PECL gmagick >= Unknown)

Gmagick::separateimagechannel — Separates a channel from the image

### Description

public void Gmagick::separateimagechannel ( int `$channel` )

Separates a channel from the image and returns a grayscale image. A channel is a particular color component of each pixel in the image.

### Parameters

`channel`

  Identify which channel to extract: RedChannel, GreenChannel, BlueChannel, OpacityChannel, CyanChannel, MagentaChannel, YellowChannel, BlackChannel.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::scaleimage
Gmagick::setfilename
Gmagick
PHP Manual